package com.zhongshu.card.client.model.projectAbout;

import com.github.microservice.types.payment.PaymentType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author TRX
 * @date 2024/10/22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PaymentTypeInfoModel {

    private PaymentType paymentType;

    private String paymentTypeStr;

    public String getPaymentTypeStr() {
        if (paymentType != null) {
            return paymentType.getRemark();
        }
        return "";
    }
}
